WITH THE ACA, DO SPDS NEED TO SHOW CERTIFICATES OF CREDIBLE COVERAGE, OR IS IT NECESSARY TO ISSUE CERTIFICATES OF CREDIBLE COVERAGE THROUGHOUT 12/31/14?

Yes, you are correct! The provision is no longer applicable for the complete implementation of the PPACA changes. 12/1/2014 is the last plan year that will need to comply, tet he have heard that some carriers which offered earlier renewals with effective dates of 12/31/2013, could potentially extend the final compliance date to 12/31/14. Note that until all plans are compliant, it is necessary to issue Portability Certificates.

199 Jericho TPKE, Suite 201 Floral Park, NY 11001 1(844) 579-8545